curl --request POST \
--url https://app.herondata.io/api/integrations/{heron_id}/links \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"access_token": "access-sandbox-de3ce8ef-33f8-452c-a685-8671031fc0f6",
"end_user_id": "f431668d-aa85-4d59-bb29-4051fcc62d28",
"item_id": "M5eVJqLnv3tbzdngLDp9FL5OlDNxlNhlE55op",
"asset_report_token": "<string>",
"end_user_name": "Acme Corp"
}
'import requests
url = "https://app.herondata.io/api/integrations/{heron_id}/links"
payload = {
"access_token": "access-sandbox-de3ce8ef-33f8-452c-a685-8671031fc0f6",
"end_user_id": "f431668d-aa85-4d59-bb29-4051fcc62d28",
"item_id": "M5eVJqLnv3tbzdngLDp9FL5OlDNxlNhlE55op",
"asset_report_token": "<string>",
"end_user_name": "Acme Corp"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
access_token: 'access-sandbox-de3ce8ef-33f8-452c-a685-8671031fc0f6',
end_user_id: 'f431668d-aa85-4d59-bb29-4051fcc62d28',
item_id: 'M5eVJqLnv3tbzdngLDp9FL5OlDNxlNhlE55op',
asset_report_token: '<string>',
end_user_name: 'Acme Corp'
})
};
fetch('https://app.herondata.io/api/integrations/{heron_id}/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"link": {
"item_id": "M5eVJqLnv3tbzdngLDp9FL5OlDNxlNhlE55op",
"created": "2020-01-01T00:00:00Z",
"data_source_heron_id": "<string>",
"last_successful_sync": "2020-01-01T00:00:00Z",
"last_updated": "2020-01-01T00:00:00Z",
"status": "active",
"status_message": "[ITEM_LOGIN_REQUIRED] the login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information. use Link's update mode to restore the item to a good state",
"type": "plaid_assets_report"
}
}Create an integration Link
Create a Link for an active Integration every time a customer connects their bank. In Plaid, this is a Plaid Link every time a customer connects their bank. For Plaid, call this after exchanging a public token for an Item access_token.
Authorizations
Path Parameters
Body
The generated token that grants access to the bank (this is encrypted in transit and at-rest with a custom key)
"access-sandbox-de3ce8ef-33f8-452c-a685-8671031fc0f6"
A unique identifier for your end user (customer) generated by you
"f431668d-aa85-4d59-bb29-4051fcc62d28"
Unique identifier for each bank connection made by your end users. In Plaid this is the 'item_id'.
"M5eVJqLnv3tbzdngLDp9FL5OlDNxlNhlE55op"
Optional. If you already have a Plaid asset report, pass the token to skip creating a new one.
An human readable name for this end user, like the company legal name
"Acme Corp"
Response
Created
Show child attributes
Show child attributes
Was this page helpful?